Functions

# glm::core::function::exponential Namespace Reference

Define all exponential functions from Section 8.2 of GLSL 1.30.8 specification. Included in glm namespace. More...

## Functions
template<typename genType >
genType | exp (genType const &x)
| Returns the natural exponentiation of x, i.e., e^x.
template<typename genType >
genType | exp2 (genType const &x)
| Returns 2 raised to the x power.
template<typename genType >
genType | inversesqrt (genType const &x)
| Returns the reciprocal of the positive square root of x.
template<typename genType >
genType | log (genType const &x)
| Returns the natural logarithm of x, i.e., returns the value y which satisfies the equation x = e^y.
template<typename genType >
genType | log2 (genType const &x)
| Returns the base 2 log of x, i.e., returns the value y, which satisfies the equation x = 2 ^ y.
template<typename genType >
genType | pow (genType const &x, genType const &y)
| Returns x raised to the y power.
template<typename genType >
genType | sqrt (genType const &x)
| Returns the positive square root of x.

## Detailed Description

Define all exponential functions from Section 8.2 of GLSL 1.30.8 specification. Included in glm namespace.

## Function Documentation

genType glm::core::function::exponential::exp | ( | genType const & | x ) |

Returns the natural exponentiation of x, i.e., e^x.

(From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::exp2 | ( | genType const & | x ) |

Returns 2 raised to the x power.

(From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::inversesqrt | ( | genType const & | x ) |

Returns the reciprocal of the positive square root of x.

(From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::log | ( | genType const & | x ) |

Returns the natural logarithm of x, i.e., returns the value y which satisfies the equation x = e^y.

Results are undefined if x <= 0. (From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::log2 | ( | genType const & | x ) |

Returns the base 2 log of x, i.e., returns the value y, which satisfies the equation x = 2 ^ y.

(From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::pow | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Returns x raised to the y power.

(From GLSL 1.30.08 specification, section 8.2)

genType glm::core::function::exponential::sqrt | ( | genType const & | x ) |

Returns the positive square root of x.

(From GLSL 1.30.08 specification, section 8.2)